_, class = UnitClass("player")
if class == "MAGE" then

local ADDON_NAME, namespace = ...
local L = namespace.L

MCPolyList = {
[118] = true, -- Sheep
[28272] = true, -- Pig
[61305] = true, -- Cat
[61721] = true, -- Rabbit
[61780] = true, -- Turkey
[28271] = true, -- Turtle
}

MCpolydelay, MCpolyduration, MCnewpolyguid, MCpolyguid, MCpolyname, MCpolyapplied, MCpolybroken = 0, 0, nil, nil, nil, false, false
MCpolyculprit, MCpolyspell, MCpolyculpritspell, MCpolyremove, MCpolybrokenevent = nil, nil, nil, false, nil

function MageCandy_PolymorphOnUpdate(elapsed)

if MageCandy_Profiles[MageCandy_ActiveProfile].options.enablepolymorphmonitor ~= false and MCtimerbypass == 0 then

if MCpolydelay > 0 then
MCpolydelay = MCpolydelay - elapsed
if MCpolydelay <= 0 and MCpolyapplied == true then
MCpolydelay = 0
end
end

if MCpolyduration > 0 then
MageCandy_Show(MCPolymorphMonitor, MageCandy_Profiles[MageCandy_ActiveProfile].options.show.mcpolymorphmonitor)
MCpolyduration = MCpolyduration - elapsed
MCPolymorphMonitorBar:SetValue(MCpolyduration)
if MCpolyduration > 5 then
MCPolymorphMonitorBarText:SetTextColor(1, 1, 1)
else
MCPolymorphMonitorBarText:SetTextColor(1, 0, 0)
end
MCPolymorphMonitorBarText:SetText(string.sub(MCpolyduration, 1, 4))
if MCpolyduration <= 0 then 
MCpolyduration = 0
MCpolyremove = true
MCPolymorphMonitorBarText:SetText(0)
MCPolymorphMonitorBar:SetValue(0)
MCPolymorphMonitor:Hide()
end
end

if MCpolyapplied == true and MCpolyduration == 0 and MCpolyremove == true then
MageCandy_PolyCheck()
MCPolymorphMonitor:Hide()
end

else
MCpolyduration = 0
MCpolydelay = 0
MCpolyremove = false
MCpolyapplied = false
MCpolyguid = nil
MCnewpolyguid = nil
MCpolyculprit = nil
MCpolyculpritspell = nil
MCpolyname = nil
MCpolybroken = false
MCpolyspell = nil
MCpolybrokenevent = nil

end

end

function MageCandy_PolyHandler(event, sguid, sname, tguid, tname, id, spellname)
MCpolyspell = GetSpellInfo(id)
if tname == nil then tname = UNKNOWN end
local name, rank, icon, count, debufftype, duration, expirationtime, unitcaster, isstealable, shouldconsolidate, spellid 

if event == "SPELL_AURA_APPLIED" and sguid == UnitGUID("player") then
if MCpolyduration > 0 or MCnewpolyguid ~= nil then -- Notifies of expiration if you sheep a mob when one is already sheeped, resulting in 
MageCandy_PolymorphNotify("expired", MCpolyname)   -- an application first and a expiration right after. Also hides the old timer until the new one is calculated.
MCPolymorphMonitor:Hide()
MCpolyduration = 0
end
MCnewpolyguid = tguid
MCpolyname = tname
MCpolyapplied = true
if MageCandy_Profiles[MageCandy_ActiveProfile].options.show.polymorphapplynotification == true then
print(L["POLYMORPH_APPLIED_MESSAGE"].." "..MCpolyname)
end
elseif event == "SPELL_AURA_REFRESH" and tguid == MCpolyguid and sguid == UnitGUID("player") then
MCpolyguid = nil
MCnewpolyguid = tguid
MCpolyname = tname
MCpolyapplied = true
elseif event == "SPELL_AURA_REMOVED" and (tguid == MCpolyguid or tguid == MCnewpolyguid) and sguid == UnitGUID("player") then
if MCpolyapplied == true then
if (MCnewpolyguid == nil or MCnewpolyguid == tguid) then
MCpolyduration = 0
MCpolyremove = true
MCpolydelay = 0.1
MCPolymorphMonitor:Hide()
end
end
end

if MCnewpolyguid ~= nil then
if UnitGUID("target") == MCnewpolyguid then
name, rank, icon, count, debufftype, duration, expirationtime, unitcaster, isstealable, shouldconsolidate, spellid = UnitDebuff("target", GetSpellInfo(MCpolyspell))
if unitcaster == "player" then
name = UnitName("target")
MCpolyguid = MCnewpolyguid
MCnewpolyguid = nil
MCpolyduration = expirationtime - GetTime()
MCPolymorphMonitorIcon:SetTexture(icon)
MCPolymorphMonitorText:SetText(name)
MCPolymorphMonitorBar:SetMinMaxValues(0, expirationtime - GetTime())
end
elseif UnitGUID("focus") == MCnewpolyguid then
name, rank, icon, count, debufftype, duration, expirationtime, unitcaster, isstealable, shouldconsolidate, spellid = UnitDebuff("focus", GetSpellInfo(MCpolyspell))
if unitcaster == "player" then
name = UnitName("focus")
MCpolyguid = MCnewpolyguid
MCnewpolyguid = nil
MCpolyduration = expirationtime - GetTime()
MCPolymorphMonitorIcon:SetTexture(icon)
MCPolymorphMonitorText:SetText(name)
MCPolymorphMonitorBar:SetMinMaxValues(0, expirationtime - GetTime())
end
elseif UnitGUID("mouseover") == MCnewpolyguid then
name, rank, icon, count, debufftype, duration, expirationtime, unitcaster, isstealable, shouldconsolidate, spellid = UnitDebuff("mouseover", GetSpellInfo(MCpolyspell))
if unitcaster == "player" then
name = UnitName("mouseover")
MCpolyguid = MCnewpolyguid
MCnewpolyguid = nil
MCpolyduration = expirationtime - GetTime()
MCPolymorphMonitorIcon:SetTexture(icon)
MCPolymorphMonitorText:SetText(name)
MCPolymorphMonitorBar:SetMinMaxValues(0, expirationtime - GetTime())
end
elseif UnitGUID("arena1") == MCnewpolyguid then
name, rank, icon, count, debufftype, duration, expirationtime, unitcaster, isstealable, shouldconsolidate, spellid = UnitDebuff("arena1", GetSpellInfo(MCpolyspell))
if unitcaster == "player" then
name = UnitName("arena1")
MCpolyguid = MCnewpolyguid
MCnewpolyguid = nil
MCpolyduration = expirationtime - GetTime()
MCPolymorphMonitorIcon:SetTexture(icon)
MCPolymorphMonitorText:SetText(name)
MCPolymorphMonitorBar:SetMinMaxValues(0, expirationtime - GetTime())
end
elseif UnitGUID("arena2") == MCnewpolyguid then
name, rank, icon, count, debufftype, duration, expirationtime, unitcaster, isstealable, shouldconsolidate, spellid = UnitDebuff("arena2", GetSpellInfo(MCpolyspell))
if unitcaster == "player" then
name = UnitName("arena2")
MCpolyguid = MCnewpolyguid
MCnewpolyguid = nil
MCpolyduration = expirationtime - GetTime()
MCPolymorphMonitorIcon:SetTexture(icon)
MCPolymorphMonitorText:SetText(name)
MCPolymorphMonitorBar:SetMinMaxValues(0, expirationtime - GetTime())
end
elseif UnitGUID("arena3") == MCnewpolyguid then
name, rank, icon, count, debufftype, duration, expirationtime, unitcaster, isstealable, shouldconsolidate, spellid = UnitDebuff("arena3", GetSpellInfo(MCpolyspell))
if unitcaster == "player" then
name = UnitName("arena3")
MCpolyguid = MCnewpolyguid
MCnewpolyguid = nil
MCpolyduration = expirationtime - GetTime()
MCPolymorphMonitorIcon:SetTexture(icon)
MCPolymorphMonitorText:SetText(name)
MCPolymorphMonitorBar:SetMinMaxValues(0, expirationtime - GetTime())
end
elseif UnitGUID("arena4") == MCnewpolyguid then
name, rank, icon, count, debufftype, duration, expirationtime, unitcaster, isstealable, shouldconsolidate, spellid = UnitDebuff("arena4", GetSpellInfo(MCpolyspell))
if unitcaster == "player" then
name = UnitName("arena4")
MCpolyguid = MCnewpolyguid
MCnewpolyguid = nil
MCpolyduration = expirationtime - GetTime()
MCPolymorphMonitorIcon:SetTexture(icon)
MCPolymorphMonitorText:SetText(name)
MCPolymorphMonitorBar:SetMinMaxValues(0, expirationtime - GetTime())
end
elseif UnitGUID("arena5") == MCnewpolyguid then
name, rank, icon, count, debufftype, duration, expirationtime, unitcaster, isstealable, shouldconsolidate, spellid = UnitDebuff("arena5", GetSpellInfo(MCpolyspell))
if unitcaster == "player" then
name = UnitName("arena5")
MCpolyguid = MCnewpolyguid
MCnewpolyguid = nil
MCpolyduration = expirationtime - GetTime()
MCPolymorphMonitorIcon:SetTexture(icon)
MCPolymorphMonitorText:SetText(name)
MCPolymorphMonitorBar:SetMinMaxValues(0, expirationtime - GetTime())
end
end
end

end

function MageCandy_PolyCheck()

-- Conditionals for Polymorph removal 
if MCpolyduration == 0 and MCpolyapplied == true then
if MCpolybroken == true then -- Polymorph was broken either by damage or dispel
MCpolyremove = false
MCpolydelay = 0
MCpolybroken = false
MCpolyapplied = false
MCpolyguid = nil
MCPolymorphMonitor:Hide()
MageCandy_PolymorphNotify("broken")
elseif MCpolydelay == 0 then -- Polymorph has expired on its own
MCpolyremove = false
MCpolyapplied = false
MCpolyguid = nil
MCPolymorphMonitor:Hide()
MageCandy_PolymorphNotify("expired")
end
end

end

function MageCandy_PolymorphNotify(result, oldpolyname)
local announce
if MageCandy_Profiles[MageCandy_ActiveProfile].options.show.polymorphannounce == true and IsInGroup() then
announce = SendChatMessage
else
announce = print
end
if MageCandy_Profiles[MageCandy_ActiveProfile].options.show.polymorphremovenotification == true then
if result == "broken" then
CombatText_AddMessage(L["POLYMORPH_BROKEN_MESSAGE"].." "..MCpolyculprit, CombatText_StandardScroll, 0, 0.7, 1, "sticky", nil)
if MCpolybrokenevent == "SWING_DAMAGE" then
announce(L["POLYMORPH_BROKEN_MESSAGE"].." "..MCpolyculprit.." "..L["WITH"].." "..L["MELEE_SWING"])
elseif MCpolybrokenevent == "RANGE_DAMAGE" then
announce(L["POLYMORPH_BROKEN_MESSAGE"].." "..MCpolyculprit.." "..L["WITH"].." "..L["AUTO_SHOT"])
elseif MCpolybrokenevent == "SPELL_DAMAGE" then
announce(L["POLYMORPH_BROKEN_MESSAGE"].." "..MCpolyculprit.." "..L["WITH"].." "..MCpolyculpritspell)
elseif MCpolybrokenevent == "SPELL_PERIODIC_DAMAGE" then
announce(L["POLYMORPH_BROKEN_MESSAGE"].." "..MCpolyculprit.." "..L["WITH"].." "..MCpolyculpritspell.." "..L["PERIODIC"])
end
elseif result == "expired" then
if oldpolyname then
CombatText_AddMessage(L["POLYMORPH_EXPIRED_MESSAGE"].." "..oldpolyname, CombatText_StandardScroll, 0, 0.7, 1, "sticky", nil)
announce(L["POLYMORPH_EXPIRED_MESSAGE"].." "..oldpolyname)
else
CombatText_AddMessage(L["POLYMORPH_EXPIRED_MESSAGE"].." "..MCpolyname, CombatText_StandardScroll, 0, 0.7, 1, "sticky", nil)
announce(L["POLYMORPH_EXPIRED_MESSAGE"].." "..MCpolyname)
end
end
end
if MageCandy_Profiles[MageCandy_ActiveProfile].options.sound.polymorph == true then
PlaySoundFile("Interface\\AddOns\\MageCandy\\Sounds\\sheep.mp3", "MASTER")
end
MCpolyculprit = nil
MCpolyculpritspell = nil
end

function MageCandy_CreatePolymorphMonitorUI()
local backdrop = {edgeFile = "Interface/Tooltips/UI-Tooltip-Border", edgeSize = 12}
local backdropthick = {edgeFile = "Interface/DialogFrame/UI-DialogBox-Border", edgeSize = 12}

--Create Polymorph Monitor------------------------------------
CreateFrame("Frame", "MCPolymorphMonitor", UIParent)
MCPolymorphMonitor:SetScript("OnEvent", function(self, event, arg1, arg2, arg3, arg4, arg5, arg6, arg7, arg8, arg9, arg10, arg11, arg12, arg13, arg14, arg15, arg16)
if MCtimerbypass == 0 then

if event == "PLAYER_TARGET_CHANGED" then
if MCnewpolyguid ~= nil and MageCandy_Profiles[MageCandy_ActiveProfile].options.enablepolymorphmonitor ~= false then
if UnitGUID("target") == MCnewpolyguid then
local name, rank, icon, count, debufftype, duration, expirationtime, unitcaster, isstealable, shouldconsolidate, spellid = UnitDebuff("target", GetSpellInfo(MCpolyspell))
if unitcaster == "player" then
name = UnitName("target")
MCpolyguid = MCnewpolyguid
MCnewpolyguid = nil
MCpolyduration = expirationtime - GetTime()
MCPolymorphMonitorIcon:SetTexture(icon)
MCPolymorphMonitorText:SetText(name)
MCPolymorphMonitorBar:SetMinMaxValues(0, expirationtime - GetTime())
end
end
end
end

if event == "PLAYER_FOCUS_CHANGED" then
if MCnewpolyguid ~= nil and MageCandy_Profiles[MageCandy_ActiveProfile].options.enablepolymorphmonitor ~= false then
if UnitGUID("focus") == MCnewpolyguid then
local name, rank, icon, count, debufftype, duration, expirationtime, unitcaster, isstealable, shouldconsolidate, spellid = UnitDebuff("focus", GetSpellInfo(MCpolyspell))
if unitcaster == "player" then
name = UnitName("focus")
MCpolyguid = MCnewpolyguid
MCnewpolyguid = nil
MCpolyduration = expirationtime - GetTime()
MCPolymorphMonitorIcon:SetTexture(icon)
MCPolymorphMonitorText:SetText(name)
MCPolymorphMonitorBar:SetMinMaxValues(0, expirationtime - GetTime())
end
end
end
end

if event == "UPDATE_MOUSEOVER_UNIT" then
if MCnewpolyguid ~= nil and MageCandy_Profiles[MageCandy_ActiveProfile].options.enablepolymorphmonitor ~= false then
if UnitGUID("mouseover") == MCnewpolyguid then
local name, rank, icon, count, debufftype, duration, expirationtime, unitcaster, isstealable, shouldconsolidate, spellid = UnitDebuff("mouseover", GetSpellInfo(MCpolyspell))
if unitcaster == "player" then
name = UnitName("mouseover")
MCpolyguid = MCnewpolyguid
MCnewpolyguid = nil
MCpolyduration = expirationtime - GetTime()
MCPolymorphMonitorIcon:SetTexture(icon)
MCPolymorphMonitorText:SetText(name)
MCPolymorphMonitorBar:SetMinMaxValues(0, expirationtime - GetTime())
end
end
end
end

if event == "COMBAT_LOG_EVENT_UNFILTERED" then

if MCAuraEvents[arg2] then
if MCPolyList[arg12] and arg4 == UnitGUID("player") and MageCandy_Profiles[MageCandy_ActiveProfile].options.enablepolymorphmonitor ~= false then
MageCandy_PolyHandler(arg2, arg4, arg5, arg8, arg9, arg12, arg13)
end
end

if MCDamageEvents[arg2] and (arg8 == MCpolyguid or arg8 == MCnewpolyguid) and MCpolyapplied == true and MCpolybroken == false and MageCandy_Profiles[MageCandy_ActiveProfile].options.enablepolymorphmonitor ~= false then
MCpolybrokenevent = arg2
MCpolybroken = true
MCpolyduration = 0
MCpolyremove = true
if arg5 == nil then arg5 = UNKNOWN end
if arg13 == nil then arg13 = UNKNOWN end
MCpolyculprit = arg5
MCpolyculpritspell = GetSpellLink(arg13)
end

end

end
end)

MCPolymorphMonitor:RegisterEvent("PLAYER_TARGET_CHANGED")
MCPolymorphMonitor:RegisterEvent("PLAYER_FOCUS_CHANGED")
MCPolymorphMonitor:RegisterEvent("UPDATE_MOUSEOVER_UNIT")
MCPolymorphMonitor:RegisterEvent("COMBAT_LOG_EVENT_UNFILTERED")

MCPolymorphMonitor:SetPoint("CENTER", UIParent, "CENTER", 0, -80)
MCPolymorphMonitor:SetWidth(125)
MCPolymorphMonitor:SetHeight(32)
MCPolymorphMonitor:CreateTexture("MCPolymorphMonitorIcon")
MCPolymorphMonitorIcon:SetWidth(28)
MCPolymorphMonitorIcon:SetHeight(28)
MCPolymorphMonitorIcon:SetPoint("LEFT", MCPolymorphMonitor, "LEFT", 1, 0)
MCPolymorphMonitorIcon:SetTexture(GetSpellTexture(118))
MCPolymorphMonitor:CreateFontString("MCPolymorphMonitorText", "OVERLAY", "GameFontNormal")
MCPolymorphMonitorText:SetWidth(MCPolymorphMonitor:GetWidth() - MCPolymorphMonitorIcon:GetWidth() - 5)
MCPolymorphMonitorText:SetHeight(7)
MCPolymorphMonitorText:SetJustifyH("LEFT")
MCPolymorphMonitorText:SetPoint("TOPLEFT", MCPolymorphMonitorIcon, "TOPRIGHT", 3, -3)
MCPolymorphMonitorText:SetTextHeight(9)
MCPolymorphMonitor:CreateTexture("MCPolymorphMonitorBG", "BACKGROUND")
MCPolymorphMonitorBG:SetAllPoints()
MCPolymorphMonitorBG:SetTexture(0, 0, 0, 0.8)
CreateFrame("StatusBar", "MCPolymorphMonitorBar", MCPolymorphMonitor)
MCPolymorphMonitorBar:SetWidth(MCPolymorphMonitorBG:GetWidth() - MCPolymorphMonitorIcon:GetWidth() - 1)
MCPolymorphMonitorBar:SetHeight(10)
MCPolymorphMonitorBar:SetPoint("BOTTOMLEFT", MCPolymorphMonitorIcon, "BOTTOMRIGHT", 0, 1)
MCPolymorphMonitorBar:SetStatusBarTexture("Interface\\TargetingFrame\\UI-StatusBar")
MCPolymorphMonitorBar:SetStatusBarColor(0, 0.7, 1)
MCPolymorphMonitorBar:CreateFontString("MCPolymorphMonitorBarText", "OVERLAY", "GameFontNormal")
MCPolymorphMonitorBarText:SetPoint("CENTER", MCPolymorphMonitorBar, "CENTER")
MCPolymorphMonitorBarText:SetTextColor(1, 1, 1)
MCPolymorphMonitorBarText:SetTextHeight(11)
MCPolymorphMonitor:Hide()

-- Finish Setting Up Frames --
MageCandy_SetupFrame(MCPolymorphMonitor)
end

function MageCandy_CreateSpellStealMonitorOptionsMenu()
local x, y, xoff, yoff = 0, 0, 15, -20
-- Polymorph Monitor --------------------------------------------------
MageCandy.pmonitor = CreateFrame("Frame", "MCPolymorphMonitorOptions", MCOptionsFrame)
MageCandy.pmonitor:SetWidth(625)
MageCandy.pmonitor:SetHeight(570)
MageCandy.pmonitor:SetPoint("LEFT", MCOptionsFrameButtons, "RIGHT", 5, 0)
MageCandy.pmonitor.name = L["POLYMORPH"].." "..L["MONITOR"]

------------------------------------------------------------------------
y = 0
y = y + yoff
MCEnablePolymorphMonitor = CreateFrame("CheckButton", "MCEnablePolymorphMonitor", MageCandy.pmonitor, "ChatConfigCheckButtonTemplate")
MCEnablePolymorphMonitor:SetPoint("TOPLEFT", 15, y)
MCEnablePolymorphMonitorText:SetText(L["ENABLE"].." "..L["POLYMORPH"].." "..L["MONITOR"])
MCEnablePolymorphMonitor:SetChecked(MageCandy_Profiles[MageCandy_ActiveProfile].options.enablepolymorphmonitor)
------------------------------------------------------------------------
y = y + yoff
MCPolymorphMonitorShow = CreateFrame("CheckButton", "MCPolymorphMonitorShow", MageCandy.pmonitor, "ChatConfigCheckButtonTemplate")
MCPolymorphMonitorShow:SetPoint("TOPLEFT", 15, y)
MCPolymorphMonitorShowText:SetText(L["SHOW_POLYMORPH_TIMER"])
MCPolymorphMonitorShow:SetChecked(MageCandy_Profiles[MageCandy_ActiveProfile].options.show.mcpolymorphmonitor)
------------------------------------------------------------------------
y = y + yoff
MCPolymorphApplyNotificationShow = CreateFrame("CheckButton", "MCPolymorphApplyNotificationShow", MageCandy.pmonitor, "ChatConfigCheckButtonTemplate")
MCPolymorphApplyNotificationShow:SetPoint("TOPLEFT", 15, y)
MCPolymorphApplyNotificationShowText:SetText(L["POLYMORPH_APPLY_SHOW"])
MCPolymorphApplyNotificationShow:SetChecked(MageCandy_Profiles[MageCandy_ActiveProfile].options.show.polymorphapplynotification)
------------------------------------------------------------------------
y = y + yoff
MCPolymorphRemoveNotificationShow = CreateFrame("CheckButton", "MCPolymorphRemoveNotificationShow", MageCandy.pmonitor, "ChatConfigCheckButtonTemplate")
MCPolymorphRemoveNotificationShow:SetPoint("TOPLEFT", 15, y)
MCPolymorphRemoveNotificationShowText:SetText(L["POLYMORPH_REMOVE_SHOW"])
MCPolymorphRemoveNotificationShow:SetChecked(MageCandy_Profiles[MageCandy_ActiveProfile].options.show.polymorphremovenotification)
------------------------------------------------------------------------
y = y + yoff
MCPolymorphAnnounceShow = CreateFrame("CheckButton", "MCPolymorphAnnounceShow", MageCandy.pmonitor, "ChatConfigCheckButtonTemplate")
MCPolymorphAnnounceShow:SetPoint("TOPLEFT", 15, y)
MCPolymorphAnnounceShowText:SetText(L["POLYMORPH_ANNOUNCE_SHOW"])
MCPolymorphAnnounceShow:SetChecked(MageCandy_Profiles[MageCandy_ActiveProfile].options.show.polymorphannounce)
------------------------------------------------------------------------
y = y - 20
MCPolymorphSound = CreateFrame("CheckButton", "MCPolymorphSound", MageCandy.pmonitor, "ChatConfigCheckButtonTemplate")
MCPolymorphSound:SetPoint("TOPLEFT", MageCandy.pmonitor, "TOPLEFT", 15, y)
MCPolymorphSoundText:SetText(L["ENABLE_SOUND_EFFECT"])
MCPolymorphSound:SetScript("OnEnter", function(self)
GameTooltip:SetOwner(self)
GameTooltip:SetText(L["SOUND_EFFECT_TOOLTIP"])
GameTooltip:Show()
end)
MCPolymorphSound:SetScript("OnLeave", function(self)
GameTooltip:Hide()
end)
y = y + (yoff * 2)
CreateFrame("Slider","MCPolymorphMonitorScale", MageCandy.pmonitor)
MCPolymorphMonitorScale:SetPoint("TOPLEFT", 15, y)
MCPolymorphMonitorScale:SetWidth(600)
MCPolymorphMonitorScale:SetHeight(20)
MCPolymorphMonitorScale:SetOrientation("HORIZONTAL")
MCPolymorphMonitorScale:SetThumbTexture("Interface\\Buttons\\UI-SliderBar-Button-Horizontal")
MCPolymorphMonitorScale:SetMinMaxValues(0.5,5)
MCPolymorphMonitorScale:SetValue(0.5151)
MCPolymorphMonitorScale:SetBackdrop({
      bgFile ="Interface\\Buttons\\UI-SliderBar-Background",
      edgeFile = "Interface\\Buttons\\UI-SliderBar-Border",
      tile = true, tileSize = 8, edgeSize = 8,
      insets = { left = 3, right = 3, top = 6, bottom = 6 }})
	 
MCPolymorphMonitorScale:SetScript("OnValueChanged", function (self, value) MCPolymorphMonitorScaleText:SetText(string.sub(value, 1, 4)) MCPolymorphMonitor:SetScale(value) end)
MageCandy.pmonitor:CreateFontString("MCPolymorphMonitorScaleHeader", "OVERLAY", "GameFontNormal")
MCPolymorphMonitorScaleHeader:SetPoint("BOTTOMLEFT", MCPolymorphMonitorScale, "TOPLEFT")
MCPolymorphMonitorScaleHeader:SetText(L["POLYMORPH"].." "..L["TIMER"].." "..L["SCALE"])
MageCandy.pmonitor:CreateFontString("MCPolymorphMonitorScaleText", "OVERLAY", "GameFontNormal")
MCPolymorphMonitorScaleText:SetPoint("BOTTOMRIGHT", MCPolymorphMonitorScale, "TOPRIGHT")
MCPolymorphMonitorScaleText:SetText(string.sub(MageCandy_Profiles[MageCandy_ActiveProfile].options.scale.mcpolymorphmonitor, 1, 4))

MageCandy.pmonitor:Hide()
-----------------------------------------------------------------------
end


end